datablock TSShapeConstructor(Ottoman1Dts)
{
	baseShape  = "./ottoman.dts";
	sequence0  = "./ottoman.dsq root";

	sequence1  = "./ottoman.dsq run";
	sequence2  = "./ottoman.dsq walk";
	sequence3  = "./ottoman.dsq back";
	sequence4  = "./ottoman.dsq side";

	sequence5  = "./ottoman.dsq crouch";
	sequence6  = "./ottoman.dsq crouchRun";
	sequence7  = "./ottoman.dsq crouchBack";
	sequence8  = "./ottoman.dsq crouchSide";

	sequence9  = "./ottoman.dsq look";
	sequence10 = "./ottoman.dsq headside";
	sequence11 = "./ottoman.dsq headUp";

	sequence12 = "./ottoman.dsq jump";
	sequence13 = "./ottoman.dsq standjump";
	sequence14 = "./ottoman.dsq fall";
	sequence15 = "./ottoman.dsq land";

	sequence16 = "./ottoman.dsq armAttack";
	sequence17 = "./ottoman.dsq armReadyLeft";
	sequence18 = "./ottoman.dsq armReadyRight";
	sequence19 = "./ottoman.dsq armReadyBoth";
	sequence20 = "./ottoman.dsq spearready";  
	sequence21 = "./ottoman.dsq spearThrow";

	sequence22 = "./ottoman.dsq talk";  

	sequence23 = "./ottoman.dsq death1"; 
	
	sequence24 = "./ottoman.dsq shiftUp";
	sequence25 = "./ottoman.dsq shiftDown";
	sequence26 = "./ottoman.dsq shiftAway";
	sequence27 = "./ottoman.dsq shiftTo";
	sequence28 = "./ottoman.dsq shiftLeft";
	sequence29 = "./ottoman.dsq shiftRight";
	sequence30 = "./ottoman.dsq rotCW";
	sequence31 = "./ottoman.dsq rotCCW";

	sequence32 = "./ottoman.dsq undo";
	sequence33 = "./ottoman.dsq plant";

	sequence34 = "./ottoman.dsq sit";

	sequence35 = "./ottoman.dsq wrench";

   sequence36 = "./ottoman.dsq activate";
   sequence37 = "./ottoman.dsq activate2";

   sequence38 = "./ottoman.dsq leftrecoil";
};    
datablock PlayerData(OttomanArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 3;
	shapefile = "./ottoman.dts";
	canJet = 0;
	mass = 120;
   drag = 0.03;
   density = 0.6;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 1;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;

	uiName = "Ottoman";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 0;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2 2 2", 4); 
   crouchBoundingBox	= vectorScale("2 2 2", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 1;
   mountThread[0] = "sit";
   
   upMaxSpeed = 0;
   upResistSpeed = 1;
   upResistFactor = 1;
   maxdamage = 260;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};