datablock TSShapeConstructor(Chair1Dts)
{
	baseShape  = "./chair.dts";
	sequence0  = "./chair.dsq root";

	sequence1  = "./chair.dsq run";
	sequence2  = "./chair.dsq walk";
	sequence3  = "./chair.dsq back";
	sequence4  = "./chair.dsq side";

	sequence5  = "./chair.dsq crouch";
	sequence6  = "./chair.dsq crouchRun";
	sequence7  = "./chair.dsq crouchBack";
	sequence8  = "./chair.dsq crouchSide";

	sequence9  = "./chair.dsq look";
	sequence10 = "./chair.dsq headside";
	sequence11 = "./chair.dsq headUp";

	sequence12 = "./chair.dsq jump";
	sequence13 = "./chair.dsq standjump";
	sequence14 = "./chair.dsq fall";
	sequence15 = "./chair.dsq land";

	sequence16 = "./chair.dsq armAttack";
	sequence17 = "./chair.dsq armReadyLeft";
	sequence18 = "./chair.dsq armReadyRight";
	sequence19 = "./chair.dsq armReadyBoth";
	sequence20 = "./chair.dsq spearready";  
	sequence21 = "./chair.dsq spearThrow";

	sequence22 = "./chair.dsq talk";  

	sequence23 = "./chair.dsq death1"; 
	
	sequence24 = "./chair.dsq shiftUp";
	sequence25 = "./chair.dsq shiftDown";
	sequence26 = "./chair.dsq shiftAway";
	sequence27 = "./chair.dsq shiftTo";
	sequence28 = "./chair.dsq shiftLeft";
	sequence29 = "./chair.dsq shiftRight";
	sequence30 = "./chair.dsq rotCW";
	sequence31 = "./chair.dsq rotCCW";

	sequence32 = "./chair.dsq undo";
	sequence33 = "./chair.dsq plant";

	sequence34 = "./chair.dsq sit";

	sequence35 = "./chair.dsq wrench";

   sequence36 = "./chair.dsq activate";
   sequence37 = "./chair.dsq activate2";

   sequence38 = "./chair.dsq leftrecoil";
};    
datablock PlayerData(ChairArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 3;
	shapefile = "./chair.dts";
	canJet = 0;
	mass = 120;
   drag = 0.03;
   density = 0.6;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 1;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;

	uiName = "Chair";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 0;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2 2 2", 4); 
   crouchBoundingBox	= vectorScale("2 2 2", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 1;
   mountThread[0] = "sit";
   
   upMaxSpeed = 0;
   upResistSpeed = 1;
   upResistFactor = 1;
   maxdamage = 260;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};